package co.pixelbeard.theanfieldwrap.data;

import io.realm.RealmObject;
import io.realm.annotations.PrimaryKey;

public class PodcastStateModel extends RealmObject {

    @PrimaryKey
    long postId;
    long podcastPosition;
    long podcastDuration;
    long userId;



    public PodcastStateModel() {
    }

    public PodcastStateModel(long postId, long podcastPosition, long podcastDuration, long userId) {
        this.postId = postId;
        this.podcastPosition = podcastPosition;
        this.podcastDuration = podcastDuration;
        this.userId = userId;
    }

    public long getPostId() {
        return postId;
    }

    public void setPostId(long postId) {
        this.postId = postId;
    }

    public long getPodcastPosition() {
        return podcastPosition;
    }

    public void setPodcastPosition(long podcastPosition) {
        this.podcastPosition = podcastPosition;
    }

    public long getPodcastDuration() {
        return podcastDuration;
    }

    public void setPodcastDuration(long podcastDuration) {
        this.podcastDuration = podcastDuration;
    }

    public long getUserId() {
        return userId;
    }

    public void setUserId(long userId) {
        this.userId = userId;
    }
}
